ArcGIS API for Python versions for Enterprise 10.8.1

418
1
08-24-2021 03:56 AM
PaulHallett1305
New Contributor III

Hi,

We're migrating from 10.6.1 to 10.8.1 and from what I understand, the ArcGIS API for Python is underwritten, supported by the ArcGIS REST API.  With that in mind, is there a particular cversion of each I need when I am on 10.8.1 or do they all connect to the Portal fine?

From what I also understand, ArcGIS Enterprise now ships with Python 3.6.10, NumPy 1.18.1, and matplotlib 3.2. and 10.6.1 shipped with Python 2.7.14, NumPy 1.9.3, and matplotlib 1.5.2 - Does this have to be considered?

 
 
 
Tags (3)
0 Kudos
1 Reply
VictorTey
Esri Contributor

the version of python isn't tied to a particular install of enterprise however new functionality in enterprise will obviously not be supported in older version of the python api.

0 Kudos